using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class MainMenuScreen : UIScreen {

	//public NetworkManager manager;

	public override void Awake() {
		base.Awake();
	}

	public override void OnEnable () {
		base.OnEnable();
	}
	
	// Update is called once per frame
	public override void OnDisable () {
		base.OnDisable();
	}


	public override void Show(bool additional = false) {
		base.Show(additional);
	}
	public override void Hide() {
		base.Hide();
	}

	void Update() {
		if(Input.anyKeyDown && IsShown) {
			ButtonStartLocal();
		}
	}

	public void ButtonStartLocal() {

		GameManager.Instance.SetState(GameManager.GameState.PLAY_STATE);
	}


	public void ButtonQuit() {
		Application.Quit();
	}
}
